/*******************************************************************************
   Adapted from the doxygen.css in kdelibs/doc/common by domi
********************************************************************************/

/*******************************************************************************

        Style sheet for kdelibs doxygen documentation.
        Copyright (c) Anders Lund <anders@alweb.dk> 2002

        This script is made available under the terms of the General Public License.
        You should have received a copy of the GNU General Public License
        along with this software; see the file COPYING.  If not, write to
        the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
        Boston, MA 02111-1307, USA.

********************************************************************************/
 
body {
        margin: 0px;
        color: black;
        background-color: white;
}

a {
        color: #0000C0;
}

/* decorative header */
div.header {
        background-color: #0855C5;
        background-image: url("headerbg.png");
}
div.header table {
        padding: 0px;
        margin: 0px
}
div.header table tr td h1 {
        color: white;
        font: bold 20pt courier;
        padding-top: 0.5em;
}

/* global lind buttons at bottom of decorative header */
table.links {
        float: right;
        border:0;
        padding-left:1px
}
table.links td a {
        color: white
}
table.links td:hover {
        background-color:#0C4293;
}
table.links td a:hover {
        color: white;
        background-color:#0C4293
}
table.links td {
        border-left: 1px solid #4A81D5;
        padding: 0px 12px 0px 12px;
        background-color:#0E4EAF;
        font-size:9pt;
        /*font-weight: bold;*/
}

/* little gradient below decorative/navigation header */
div#hgrad {
        height: 12px;
        background-image: url("grad.png");
}

/* contents part of page */
div.text {
        margin: 12px
}

/* contents, mostly equivalent to the default doxugen style sheet */
H1 { text-align: center; }
CAPTION { font-weight: bold }
A.qindex {}
A.qindexRef {}
A.el { text-decoration: none; font-weight: bold }
A.elRef { font-weight: bold }
A.code { text-decoration: none; font-weight: normal; color: #4444ee }
A.codeRef { font-weight: normal; color: #4444ee }
A:hover { text-decoration: none; background-color: #ececec }
DL.el { margin-left: -1cm }
DIV.fragment { width: 100%; border: none; background-color: #ffffee; padding: 12px }
DIV.ah { background-color: navy; font-weight: bold; color: #ffffff; margin-bottom: 3px; margin-top: 3px }
TD.md { background-color: #ececec; font-weight: bold; }
TD.mdname1 { background-color: #ececec; font-weight: bold; color: #602020; }
TD.mdname { background-color: #ececec; font-weight: bold; color: #602020; width: 600px; }
DIV.groupHeader { margin-left: 16px; margin-top: 12px; margin-bottom: 6px; font-weight: bold }
DIV.groupText { margin-left: 16px; font-style: italic; font-size: smaller }
BODY { background: white }
TD.indexkey {
   background-color: #e0eef8;
   font-weight: bold;
   padding-right  : 10px;
   padding-top    : 2px;
   padding-left   : 10px;
   padding-bottom : 2px;
   margin-left    : 0px;
   margin-right   : 0px;
   margin-top     : 2px;
   margin-bottom  : 2px
}
TD.indexvalue {
   background-color: #e0eef8;
   font-style: normal;
   padding-right  : 10px;
   padding-top    : 2px;
   padding-left   : 10px;
   padding-bottom : 2px;
   margin-left    : 0px;
   margin-right   : 0px;
   margin-top     : 2px;
   margin-bottom  : 2px
}
FONT.keyword       { color: #008000 }
FONT.keywordtype   { color: #604020 }
FONT.keywordflow   { color: #e08000 }
FONT.comment       { color: #800000 }
FONT.preprocessor  { color: #806020 }
FONT.stringliteral { color: #002080 }
FONT.charliteral   { color: #008080 }



/* kde decoration at bottom */
div#bottom-nav {
        position : relative;
        background-color: transparent;
        /*width : 100%;*/
        /*top: 0px;
        left: 0px;
        right: 0px;
        margin-left: 0px;
        margin-right:0px;*/
        margin-top: 12px;
        height: 50px;
        background-image : url('bottom1.png');
        background-repeat : repeat-x;
}

/* copyright etc at bottom */
div.bottom {
        margin: 12px;
        font-size: 9pt;
        text-align: right;
}
div.bottom a {
        color: #aaaaaa
}

